Imports mean daily temperature readings for weather stations connected to EnergyCAP weather services
Use this endpoint to import or backfill weather data. By default (no parameters), imports for all “used” weather stations
(those with at least one building assigned) from 31 days ago through today.
Provide a begin date to go further back in history. Provide specific weather station codes to import for particular stations
even if they are not yet used. Existing readings in the date range are overwritten.
If a weather station channel has no readings at all, history is imported from 5 years ago (by default) or from the begin date, whichever is earlier.
One import runs per datasource at a time: a request made while another import is running returns 409 Conflict.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
WeatherImportSettings
| Property | Description | Type |
|---|---|---|
| beginDate | The begin date for the weather data Readings will be imported from this date through the current date If omitted or empty, weather data will be imported for the past 31 days | string (date-time) |
| weatherStationCodes | List of weather station codes for which to import data If omitted or empty, weather data will be imported for all weather stations which are assigned to buildings | string[] |
Example Request Body
{ "beginDate": "2026-11-15", "weatherStationCodes": [
"string"
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
WeatherImportResult
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| beginDate | The begin date of the weather data that was imported | string (date-time) | ||||||||||||||||||||||||||||||||||||
| endDate | The end date of the weather data that was imported | string (date-time) | ||||||||||||||||||||||||||||||||||||
| numberOfFailedWeatherStations | Number of weather stations whose readings could not be saved All of their readings are counted as failed in the weather station summaries. | integer (int32) | ||||||||||||||||||||||||||||||||||||
| weatherStationSummaries | List of weather stations and the number of readings that were imported for each | WeatherStationSummary[] | ||||||||||||||||||||||||||||||||||||
|
WeatherStationSummary properties
|
||||||||||||||||||||||||||||||||||||||
Example Response
{ "beginDate": "2026-11-15", "endDate": "2026-11-15", "numberOfFailedWeatherStations": 1, "weatherStationSummaries": [
{ "baseWeatherStationCode": "string", "beginDate": "2026-11-15", "channelCode": "string", "channelId": 1, "channelIntervalInSeconds": 1, "earliestReadingDate": "2026-11-15", "numberOfFailedReadings": 1, "numberOfReadingsImported": 1, "weatherStationCode": "string", "weatherStationId": 1, "weatherStationName": "string"
}
]
}